import { INTEGER, STRING } from "../common/field-types.mjs";

const fields = foundry.data.fields;

export default class RdDModelNombreAstral extends foundry.abstract.TypeDataModel {
  static defineSchema() {
    return {
      value: new fields.NumberField({ label: "Valeur", initial: 0, ...INTEGER }),
      istrue: new fields.BooleanField({ label: "Vrai", initial: false }),
      jourindex: new fields.NumberField({ label: "Index jour", initial: 1, ...INTEGER }),
      jourlabel: new fields.StringField({ label: "Label jour", initial: "", ...STRING }),
    }
  }
}
